{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Build - Release",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "pipenv run scons build",
            "group": "build",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "Program - Release",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "pipenv run scons run",
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "Build Sim - Debug",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "pipenv run scons build-sim profile=debug",
            "group": "build",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "Run Sim - Debug",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "pipenv run scons run-sim profile=debug",
            "group": "build",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "Build Tests - Debug",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "pipenv run scons build-tests profile=debug",
            "group": "build",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "Run Tests - Debug",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "pipenv run scons run-tests profile=debug",
            "group": "build",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "Run Tests - Valgrind Debug",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "pipenv run scons build-tests profile=debug && valgrind --leak-check=full --show-leak-kinds=all ./build/tests/scons-debug/aruw-turret-mcb-tests.elf",
            "group": "build",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "Build - Debug",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "pipenv run scons build profile=debug profiling=true",
            "group": "build",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "Program - Debug",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "pipenv run scons run profile=debug",
            "group": "build",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "lbuild build",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "lbuild build",
            "group": "none",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        },
        {
            "label": "Git - Remove pre-commit meta files",
            "type": "shell",
            "presentation": {
                "panel": "new"
            },
            "command": "find | fgrep .orig | xargs rm && find | fgrep .rej | xargs rm",
            "group": "none",
            "problemMatcher": [],
            "options": {
                "cwd": "${workspaceRoot}/aruw-turret-mcb-project"
            }
        }
    ]
}
